package example.hello.exception;

import javax.ejb.ApplicationException;

import example.common.exception.ApplicationRuntimeException;

@ApplicationException(rollback = true)
public class HelloRuntimeException extends ApplicationRuntimeException {

    private static final long serialVersionUID = 1491623733682493092L;

    public HelloRuntimeException() {
    }

    public HelloRuntimeException(String message) {
        super(message);
    }

    public HelloRuntimeException(Throwable cause) {
        super(cause);
    }

    public HelloRuntimeException(HelloException e) {
        super(e.getMessage(), e);
    }

    public HelloRuntimeException(String message, Throwable cause) {
        super(message, cause);
    }

}
